---
search:
  tags:
    - Static Listings
    - POST
seo:
  description: >-
    Creates a new static listing with the specified slug… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/static-listings endpoint in the Management
    API.
sidebar:
  label: Create a static listing
  badge: POST
title: Create a static listing
type: openapi-operation
---
Creates a new static listing with the specified slug and variant IDs for the app

`POST /api/v1/{team_slug}/{app_slug}/static-listings`

**Request body** (`application/json`, required)

static-listing configuration

- `slug` (string, required)
- `variant_ids` (string[], required)

Request body example:

```json
{
  "slug": "string",
  "variant_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — static-listing created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "slug": "string",
    "updated_at": "string",
    "variants": [
      {
        "app_id": "string",
        "custom_fields": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "product_id": "string",
        "product_name": "string",
        "variant_name": "string",
        "variant_number": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
